io.milvus.bulkwriter

## Class Buffer

- java.lang.Object
- - io.milvus.bulkwriter.Buffer

    public class Buffer
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`Buffer(CollectionSchemaParam collectionSchema, BulkFileType fileType)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `appendRow(java.util.Map<java.lang.String,java.lang.Object> row)`
`java.lang.Integer` `getRowCount()`
`java.util.List<java.lang.String>` `persist(java.lang.String localPath, java.lang.Integer bufferSize, java.lang.Integer bufferRowCount)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Buffer

    public Buffer(CollectionSchemaParam collectionSchema,
                  BulkFileType fileType)

### Method Detail

#### getRowCount

    public java.lang.Integer getRowCount()

#### appendRow

    public void appendRow(java.util.Map<java.lang.String,java.lang.Object> row)

#### persist

    public java.util.List<java.lang.String> persist(java.lang.String localPath,
                                                    java.lang.Integer bufferSize,
                                                    java.lang.Integer bufferRowCount)